package com.qmth.teachcloud.common.enums.userPush;

/**
 * @Description: 用户特殊身份(权限)枚举
 * @Author: CaoZixuan
 * @Date: 2021-10-27
 */
public enum SpecialPrivilegeEnum {
    SUBJECT_HEADER("科组长权限","SubjectHeader","S_", 4),
    MARKER("评卷员权限","Marker","M_", 5),
    COMPOSITE("复合权限","Composite",null, 0),
    UNIDENTIFIED("无特殊权限","Unidentified",null, 0);

    SpecialPrivilegeEnum(String title, String id, String prefix, int value) {
        this.title = title;
        this.id = id;
        this.prefix = prefix;
        this.value = value;
    }

    private final String title;
    private final String id;
    private final String prefix;
    private final int value;

    public String getTitle() {
        return title;
    }

    public String getId() {
        return id;
    }

    public String getPrefix() {
        return prefix;
    }

    public int getValue() {
        return value;
    }
}
